curl --request PUT \
--url https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add-and-remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIdsToAdd": [
"<string>"
],
"recordIdsToRemove": [
"<string>"
]
}
'{
"recordIdsMissing": [
"<string>"
],
"recordIdsRemoved": [
"<string>"
],
"recordsIdsAdded": [
"<string>"
]
}curl --request PUT \
--url https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add-and-remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIdsToAdd": [
"<string>"
],
"recordIdsToRemove": [
"<string>"
]
}
'{
"recordIdsMissing": [
"<string>"
],
"recordIdsRemoved": [
"<string>"
],
"recordsIdsAdded": [
"<string>"
]
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Was this page helpful?